package com.ruoyi.models.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 子模块对象 biz_sub_module
 */
public class BizSubModule extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 子模块ID */
    private Long subId;

    /** 所属模块ID */
    @Excel(name = "所属模块ID")
    private Long moduleId;

    /** 子模块名称 */
    @Excel(name = "子模块名称")
    private String subName;

    /** 状态（0待处理 1进行中 2已完成） */
    @Excel(name = "状态（0待处理 1进行中 2已完成）")
    private String status;

    /** 描述 */
    @Excel(name = "描述")
    private String description;

    /** 删除标志0=正常,2=软删除 */
    private String delFlag;

    public Long getSubId()
    {
        return subId;
    }

    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getModuleId()
    {
        return moduleId;
    }

    public void setModuleId(Long moduleId)
    {
        this.moduleId = moduleId;
    }

    public String getSubName()
    {
        return subName;
    }

    public void setSubName(String subName)
    {
        this.subName = subName;
    }

    public String getStatus()
    {
        return status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getDescription()
    {
        return description;
    }

    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDelFlag()
    {
        return delFlag;
    }

    public void setDelFlag(String delFlag)
    {
        this.delFlag = delFlag;
    }

    @Override
    public String toString()
    {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("subId", getSubId())
            .append("moduleId", getModuleId())
            .append("subName", getSubName())
            .append("status", getStatus())
            .append("description", getDescription())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}


